Subject: bug#79353: 31.0.50; Eager macro expansion errors when building master

From: Gerd Möllmann <[email-masked]>
Date: Tue, 02 Sep 2025 16:01:05 +0200

JD Smith <[email-masked]> writes:

>> Not sure if that's relevant, don't know what this is all about anyway.
>
> I think the idea is to require 'cl-extra in tramp.el, after 'cl-lib.
> The issue is we are loading tramp during the build of *-loaddefs.el
> files, and yet tramp is currently relying (indirectly) on the autoload
> of cl-subseq from cl-extra.

I meant more what your original change was for. Anyway, with this
change

1 file changed, 2 insertions(+)
lisp/net/tramp.el | 2 ++

modified   lisp/net/tramp.el
@@ -67,6 +67,8 @@
 (require 'tramp-message)
 (require 'tramp-integration)
 (require 'trampver)
+(require 'cl-lib)
+(require 'cl-extra)
 
 ;; Pacify byte-compiler.
 (require 'cl-lib)

I get the same errors

loaddefs-gen: loading file tramp-adb (for tramp--with-startup)
Loading /Users/gerd/emacs/github/master/lisp/net/tramp-adb.el (source)...
Warning (emacs): loaddefs-gen: load error
	(error Eager macro-expansion failure: (error "Eager macro-expansion failure: (void-function cl-subseq)"))